MCP Tools Reference: paydeveloper.googleapis.com

Tool: list_merchants

Retrieves a comprehensive list of all Google Pay merchants associated with the authenticated account. Depending on the user's role on a merchant, admins can view full detailed merchant information, while developers can only view basic merchant information.

The following code sample shows how to use curl to call the list_merchants MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_merchants",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for listing merchants.

ListMerchantsRequest

JSON representation
{
  "view": enum (MerchantView)
}
Fields
view

enum (MerchantView)

Optional. Specifies the level of detail to be returned for each merchant.

MerchantView

The level of detail to be returned for each merchant.

Enums
MERCHANT_VIEW_UNSPECIFIED The default / unset value. The API will default to the BASIC view.
MERCHANT_VIEW_BASIC Include basic information about the merchant.
MERCHANT_VIEW_FULL Include all details about the merchant.

Output Schema

Response message for listing merchants.

ListMerchantsResponse

JSON representation
{
  "merchants": [
    {
      object (Merchant)
    }
  ]
}
Fields
merchants[]

object (Merchant)

The merchants that the user has access to.

Merchant

JSON representation
{
  "merchantId": string,
  "displayName": string,
  "regionCode": string,
  "mcc": enum (Mcc),
  "corporateWebsiteUrl": string,
  "customerSupportWebsiteUrl": string,
  "customerSupportEmail": string,
  "customerSupportPhone": string,
  "state": enum (State)
}
Fields
merchantId

string

Output only. The unique identifier of the merchant.

displayName

string

Required. The display name of the merchant.

regionCode

string

Required. The region code of the merchant's business location. The format is the Unicode CLDR region codes, e.g., "US". India ("IN") is not supported.

mcc

enum (Mcc)

Required. The Merchant Category Code (MCC) of the merchant.

corporateWebsiteUrl

string

Required. The corporate website of the merchant.

customerSupportWebsiteUrl

string

Required. The customer support website of the merchant.

customerSupportEmail

string

Required. The customer support email of the merchant.

customerSupportPhone

string

Required. The customer support phone number of the merchant.

state

enum (State)

Output only. The state of the merchant.

Mcc

The Merchant Category Code (MCC) of a merchant.

Enums
OTHERS Others
MISC_FOOD_STORES Miscellaneous Food Stores – Convenience Stores and Specialty Markets
MISC_APPAREL Miscellaneous Apparel and Accessory Shops
ARTISTS_SUPPLY Artist’s Supply and Craft Shops
AUTOMOTIVE_PARTS Automotive Parts, Accessories Stores
HEALTH_AND_BEAUTY Health and Beauty Shop
BOOKS_PERIODICALS Books, Periodicals and Newspapers
CAMERA_STORES Camera and Photographic Supply Stores
COMPUTERS_EQUIPMENT Computers, Computer Peripheral Equipment, Software
COMPUTER_SOFTWARE Computer Software Stores
ELECTRONICS_SALES Electronics Sales
GIFT_SHOPS Card Shops, Gift, Novelty, and Souvenir Shops
EATING_PLACES Eating Places and Restaurants
MISC_GENERAL_MERCHANDISE Misc. General Merchandise
HOME_SUPPLY Home Supply Warehouse Stores
COMPUTER_NETWORK_SERVICES Computer Network Services
DIGITAL_GOODS_MEDIA Digital Goods: Books, Movies, Music
DIGITAL_GOODS_GAMES Digital Goods: Games
DIGITAL_GOODS_APPLICATIONS Digital Goods: Applications (Excludes Games)
POLITICAL_ORGANIZATIONS Political Organizations
CHARITABLE_ORGANIZATIONS Charitable and Social Service Organizations
DRUG_STORES Drug Stores and Pharmacies
REAL_ESTATE_RENTALS Real Estate Agents and Managers - Rentals
MISC_PERSONAL_SERVICES Miscellaneous Personal Services, Not Elsewhere Classified
SPORTING_GOODS Sporting Goods Stores
STATIONERY_OFFICE_SUPPLIES Stationery, Office Supplies, Printing and Writing Paper
THEATRICAL_TICKET_AGENCIES Theatrical Ticket Agencies
TIMESHARES Timeshares
TOURIST_ATTRACTIONS Tourist Attractions and Exhibits
HOBBY_TOY_GAME_SHOPS Hobby, Toy, and Game Shops
PET_SHOPS Pet Shops, Pet Foods and Supplies Stores
OTHER_LODGING Other Lodging–Hotels, Motels, Resorts
TELECOMMUNICATION_SERVICES Telecommunication Services
TRANSPORTATION_SERVICES Transportation Services
OTHER_AIRLINES Other Airlines
TRAVEL_AGENCIES Travel Agencies and Tour Operators
GOVERNMENT_OWNED_LOTTERIES_US Government-Owned Lotteries (US Region only)
GOVERNMENT_LICENSED_CASINOS_US Government Licensed On-Line Casinos (On-Line Gambling) (US Region only)
BETTING Betting (including Lottery Tickets, Casino Gaming Chips, Off-track Betting and Wagers)
GOVERNMENT_OWNED_LOTTERIES_NON_US Government-Owned Lotteries (Non-U.S. region)

State

The state of a merchant.

Enums
STATE_UNSPECIFIED The merchant state is unspecified.
VERIFIED The merchant is verified and approved.
IN_REVIEW The merchant profile edit is under review.
REJECTED The merchant profile edit is rejected.
INCOMPLETE_SIGNUP The merchant profile is incomplete.
SANCTIONS_HIT The merchant profile hits sanctions.
READY_FOR_REVIEW The merchant profile is complete and ready for review.
DISABLED The merchant profile is disabled/inactive.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌